io.milvus.param.dml.ranker

## Class RRFRanker.Builder

- java.lang.Object
- - io.milvus.param.dml.ranker.RRFRanker.Builder

- Enclosing class:
    RRFRanker

      public static class RRFRanker.Builder
      extends java.lang.Object

  Builder for `RRFRanker` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RRFRanker` | `build()` Verifies parameters and creates a new `RRFRanker` instance.
    `RRFRanker.Builder` | `withK(@NonNull java.lang.Integer k)` Sets k factor for RRF.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withK

          public RRFRanker.Builder withK(@NonNull
                                         @NonNull java.lang.Integer k)

      Sets k factor for RRF. Value cannot be negative. Default value is 60. score = 1 / (k + float32(rank_i+1)) rank_i is the rank in each field
      Parameters:
        `k` - factor value
      Returns:
        `Builder`

    - #### build

          public RRFRanker build()
                          throws ParamException

      Verifies parameters and creates a new `RRFRanker` instance.
      Returns:
        `RRFRanker`
      Throws:
        `ParamException`